Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.typehandling
Class IntegerMath

Integer NumberMath operations

author:
  Steve Goetze

Field Summary
`IntegerMath` | `INSTANCE`

Constructor Summary
`IntegerMath()`

Method Summary
`Number` | `absImpl(Number number)`
`Number` | `addImpl(Number left, Number right)`
`Number` | `andImpl(Number left, Number right)`
`Number` | `bitwiseNegateImpl(Number left)`
`int` | `compareToImpl(Number left, Number right)`
`Number` | `divideImpl(Number left, Number right)`
`Number` | `intdivImpl(Number left, Number right)`
`Number` | `leftShiftImpl(Number left, Number right)`
`Number` | `modImpl(Number left, Number right)`
`Number` | `multiplyImpl(Number left, Number right)`
`Number` | `orImpl(Number left, Number right)`
`Number` | `rightShiftImpl(Number left, Number right)`
`Number` | `rightShiftUnsignedImpl(Number left, Number right)`
`Number` | `subtractImpl(Number left, Number right)`
`Number` | `unaryMinusImpl(Number left)`
`Number` | `xorImpl(Number left, Number right)`

Constructor Detail

### IntegerMath

    IntegerMath()

Method Detail

### absImpl

    Number absImpl(Number number)

### addImpl

    Number addImpl(Number left, Number right)

### andImpl

    Number andImpl(Number left, Number right)

### bitwiseNegateImpl

    Number bitwiseNegateImpl(Number left)

### compareToImpl

    int compareToImpl(Number left, Number right)

### divideImpl

    Number divideImpl(Number left, Number right)

### intdivImpl

    Number intdivImpl(Number left, Number right)

### leftShiftImpl

    Number leftShiftImpl(Number left, Number right)

### modImpl

    Number modImpl(Number left, Number right)

### multiplyImpl

    Number multiplyImpl(Number left, Number right)

### orImpl

    Number orImpl(Number left, Number right)

### rightShiftImpl

    Number rightShiftImpl(Number left, Number right)

### rightShiftUnsignedImpl

    Number rightShiftUnsignedImpl(Number left, Number right)

### subtractImpl

    Number subtractImpl(Number left, Number right)

### unaryMinusImpl

    Number unaryMinusImpl(Number left)

### xorImpl

    Number xorImpl(Number left, Number right)